View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000507aMuleMiscpublic2005-07-23 19:172005-07-29 04:35
Reportermmkernel 
Assigned ToKry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.3 
Target VersionFixed in VersionSVN 
Summary0000507: aMule 2.0.3 and previous versions fails to compile with gcc 4.0.1
DescriptionaMule 2.0.3 and previous versions fails to compile with gcc 4.0.1:

gcc error log follows:

[...]

if gcc -DHAVE_CONFIG_H -I. -I. -I.. -D__UTF8_SYSTRAY_ENABLED__ -I/usr/lib64/wx/include/gtk-2.4 -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib64/glib/include -I/usr/X11R6/include -DHAVE_BFD -O2 -g -pipe -m64 -W -Wall -g -ggdb -fno-inline -D__DEBUG__ -fmessage-length=0 -O2 -MT amule-gtk2-funcs.o -MD -MP -MF ".deps/amule-gtk2-funcs.Tpo" -c -o amule-gtk2-funcs.o `test -f 'gtk2-funcs.c' || echo './'`gtk2-funcs.c; \
then mv -f ".deps/amule-gtk2-funcs.Tpo" ".deps/amule-gtk2-funcs.Po"; else rm -f ".deps/amule-gtk2-funcs.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -D__UTF8_SYSTRAY_ENABLED__ -I/usr/lib64/wx/include/gtk-2.4 -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib64/glib/include -I/usr/X11R6/include -DHAVE_BFD -O2 -g -pipe -m64 -W -Wall -g -ggdb -fno-inline -D__DEBUG__ -fmessage-length=0 -O2 -MT amule-gtkplugxembed.o -MD -MP -MF ".deps/amule-gtkplugxembed.Tpo" -c -o amule-gtkplugxembed.o `test -f 'gtkplugxembed.c' || echo './'`gtkplugxembed.c; \
then mv -f ".deps/amule-gtkplugxembed.Tpo" ".deps/amule-gtkplugxembed.Po"; else rm -f ".deps/amule-gtkplugxembed.Tpo"; exit 1; fi
gtkplugxembed.c: In function ‘focus_first_last’:
gtkplugxembed.c:893: warning: unused parameter ‘direction’
gtkplugxembed.c: In function ‘gtk_plug_xembed_filter_func’:
gtkplugxembed.c:1049: warning: unused parameter ‘event’
if g++ -DHAVE_CONFIG_H -I. -I. -I.. -D__UTF8_SYSTRAY_ENABLED__ -I/usr/lib64/wx/include/gtk-2.4 -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib64/glib/include -I/usr/X11R6/include -DHAVE_BFD -O2 -g -pipe -m64 -DUSE_EMBEDDED_CRYPTO -W -Wall -g -ggdb -fno-inline -D__DEBUG__ -fmessage-length=0 -O2 -MT amule-SysTray.o -MD -MP -MF ".deps/amule-SysTray.Tpo" -c -o amule-SysTray.o `test -f 'SysTray.cpp' || echo './'`SysTray.cpp; \
then mv -f ".deps/amule-SysTray.Tpo" ".deps/amule-SysTray.Po"; else rm -f ".deps/amule-SysTray.Tpo"; exit 1; fi
SysTray.cpp:687:3: warning: #warning This will stay here (the if) till 2.0.0, after it it can be removed along with '4'
if g++ -DHAVE_CONFIG_H -I. -I. -I.. -D__UTF8_SYSTRAY_ENABLED__ -I/usr/lib64/wx/include/gtk-2.4 -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib64/glib/include -I/usr/X11R6/include -DHAVE_BFD -O2 -g -pipe -m64 -DUSE_EMBEDDED_CRYPTO -W -Wall -g -ggdb -fno-inline -D__DEBUG__ -fmessage-length=0 -O2 -MT amule-CryptoPP.o -MD -MP -MF ".deps/amule-CryptoPP.Tpo" -c -o amule-CryptoPP.o `test -f 'CryptoPP.cpp' || echo './'`CryptoPP.cpp; \
then mv -f ".deps/amule-CryptoPP.Tpo" ".deps/amule-CryptoPP.Po"; else rm -f ".deps/amule-CryptoPP.Tpo"; exit 1; fi
g++ -O2 -g -pipe -m64 -DUSE_EMBEDDED_CRYPTO -W -Wall -g -ggdb -fno-inline -D__DEBUG__ -fmessage-length=0 -O2 -lpthread -o amule amule-AddFriend.o amule-AddFileThread.o amule-AICHSyncThread.o amule-amule.o amule-amule-gui.o amule-amuleDlg.o amule-BarShader.o amule-BaseClient.o amule-ChatSelector.o amule-ChatWnd.o amule-CatDialog.o amule-CFile.o amule-ClientCredits.o amule-ClientDetailDialog.o amule-ClientList.o amule-ClientListCtrl.o amule-ClientUDPSocket.o amule-ColorFrameCtrl.o amule-CommentDialog.o amule-CommentDialogLst.o amule-DataToText.o amule-DeadSourceList.o amule-DirectoryTreeCtrl.o amule-DownloadClient.o amule-DownloadListCtrl.o amule-DownloadQueue.o amule-ECSocket.o amule-ECPacket.o amule-ECSpecialTags.o amule-ED2KLink.o amule-EditServerListDlg.o amule-EMSocket.o amule-ExternalConn.o amule-FileDetailDialog.o amule-FileDetailListCtrl.o amule-filefn.o amule-Format.o amule-Friend.o amule-FriendList.o amule-FriendListCtrl.o amule-HTTPDownload.o amule-IPFilter.o amule-KnownFile.o amule-KadDlg.o amule-KnownFileList.o amule-ListenSocket.o amule-listctrl.o amule-Logger.o amule-MemFile.o amule-MD5Sum.o amule-MuleGifCtrl.o amule-MuleListCtrl.o amule-MuleNotebook.o amule-MuleTextCtrl.o amule-muuli_wdr.o amule-NetworkFunctions.o amule-OScopeCtrl.o amule-OtherFunctions.o amule-Packet.o amule-PartFile.o amule-Preferences.o amule-PrefsUnifiedDlg.o amule-Proxy.o amule-SafeFile.o amule-SearchDlg.o amule-SearchList.o amule-SearchListCtrl.o amule-Server.o amule-ServerConnect.o amule-ServerList.o amule-ServerListCtrl.o amule-ServerSocket.o amule-ServerUDPSocket.o amule-ServerWnd.o amule-SharedFileList.o amule-SharedFilesCtrl.o amule-SharedFilesWnd.o amule-SHA.o amule-SHAHashSet.o amule-Statistics.o amule-StatisticsDlg.o amule-StateMachine.o amule-StringFunctions.o amule-TransferWnd.o amule-UploadClient.o amule-UploadQueue.o amule-ByteIO.o amule-DataIO.o amule-FileIO.o amule-IOException.o amule-UInt128.o amule-gsocket.o amule-eggtrayicon.o amule-gtk2-funcs.o amule-gtkplugxembed.o amule-SysTray.o amule-CryptoPP.o -pthread -lwx_gtk-2.4 -lz -lbfd -liberty -L/usr/lib64 -L/usr/X11R6/lib64 -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
amule-ExternalConn.o(.gnu.linkonce.t._ZNSt4pairIKPv9CValueMapED1Ev[std::pair<void* const, CValueMap>::~pair()]+0x5): In function `std::pair<void* const, CValueMap>::~pair()':
/usr/lib/gcc/x86_64-ezplanet-linux/4.0.1/../../../../include/c++/4.0.1/bits/stl_pair.h:69: undefined reference to `CValueMap::~CValueMap()'
amule-ExternalConn.o(.gnu.linkonce.t._ZN9__gnu_cxx15__mt_alloc_baseI8CMD4HashE7destroyEPS1_[__gnu_cxx::__mt_alloc_base<CMD4Hash>::destroy(CMD4Hash*)]+0x4): In function `__gnu_cxx::__mt_alloc_base<CMD4Hash>::destroy(CMD4Hash*)':
/usr/lib/gcc/x86_64-ezplanet-linux/4.0.1/../../../../include/c++/4.0.1/ext/mt_allocator.h:614: undefined reference to `CMD4Hash::~CMD4Hash()'
amule-ExternalConn.o(.gnu.linkonce.t._ZNSt3mapIPv9CValueMapSt4lessIS0_ESaISt4pairIKS0_S1_EEEixERS5_[std::map<void*, CValueMap, std::less<void*>, std::allocator<std::pair<void* const, CValueMap> > >::operator[](void* const&)]+0xce): In function `std::map<void*, CValueMap, std::less<void*>, std::allocator<std::pair<void* const, CValueMap> > >::operator[](void* const&)':
/usr/lib/gcc/x86_64-ezplanet-linux/4.0.1/../../../../include/c++/4.0.1/bits/stl_map.h:339: undefined reference to `CValueMap::~CValueMap()'
amule-ExternalConn.o(.gnu.linkonce.t._ZNSt3mapIPv9CValueMapSt4lessIS0_ESaISt4pairIKS0_S1_EEEixERS5_[std::map<void*, CValueMap, std::less<void*>, std::allocator<std::pair<void* const, CValueMap> > >::operator[](void* const&)]+0x115):/usr/lib/gcc/x86_64-ezplanet-linux/4.0.1/../../../../include/c++/4.0.1/bits/stl_map.h:339: undefined reference to `CValueMap::~CValueMap()'
collect2: ld returned 1 exit status
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Filespatch file icon gcc4_fed.patch [^] (689 bytes) 2005-07-28 16:37 [Show Content]

- Relationships

-  Notes
(0001167)
Kry (manager)
2005-07-24 01:30

kry@Edelweiss:~/aMule/amule-dev/src$ gcc --version
gcc (GCC) 4.0.1 (Debian 4.0.1-2)


Seems fixed on CVS, as I use gcc 4.0.1
(0001169)
mmkernel (reporter)
2005-07-24 21:59

I am afraid it does not compile, same error with latest cvs (20050724). I am using gcc-4.0.1-4 on Fedora Core 4.
(0001170)
mmkernel (reporter)
2005-07-26 12:58

Same issue with CVS 20050726. Please could you post your "configure" statement that your report to work on 4.0.1?
(0001174)
Kry (manager)
2005-07-27 19:03

Next CVS should be ok. Report tomorrow please :)
(0001176)
mmkernel (reporter)
2005-07-28 16:08

Tried aMule-CVS-20050728.tar.bz2; I am afraid same error. It does not compile.
(0001177)
Kry (manager)
2005-07-28 16:15

Fixed again. 99% sure. Go on testing tomorrow :)
(0001178)
mmkernel (reporter)
2005-07-28 16:28

Kry, I appreciate your cooperation. Please could you post the fix now?

Thank you,

mm
(0001179)
Kry (manager)
2005-07-28 16:36

On the way
(0001180)
Kry (manager)
2005-07-28 16:37

There you are.
(0001181)
mmkernel (reporter)
2005-07-28 22:23

Now it works! Many thanks, MM.
(0001182)
Kry (manager)
2005-07-29 04:35

Thanks to you for testing :)

- Issue History
Date Modified Username Field Change
2005-07-23 19:17 mmkernel New Issue
2005-07-24 01:30 Kry Status new => assigned
2005-07-24 01:30 Kry Assigned To => Kry
2005-07-24 01:30 Kry Status assigned => resolved
2005-07-24 01:30 Kry Fixed in Version => CVS
2005-07-24 01:30 Kry Resolution open => fixed
2005-07-24 01:30 Kry Note Added: 0001167
2005-07-24 21:59 mmkernel Status resolved => feedback
2005-07-24 21:59 mmkernel Resolution fixed => reopened
2005-07-24 21:59 mmkernel Note Added: 0001169
2005-07-26 12:58 mmkernel Note Added: 0001170
2005-07-27 19:03 Kry Note Added: 0001174
2005-07-28 16:08 mmkernel Note Added: 0001176
2005-07-28 16:15 Kry Note Added: 0001177
2005-07-28 16:28 mmkernel Note Added: 0001178
2005-07-28 16:36 Kry Note Added: 0001179
2005-07-28 16:37 Kry File Added: gcc4_fed.patch
2005-07-28 16:37 Kry Note Added: 0001180
2005-07-28 22:23 mmkernel Note Added: 0001181
2005-07-29 04:35 Kry Note Added: 0001182
2005-07-29 04:35 Kry Status feedback => resolved
2005-07-29 04:35 Kry Resolution reopened => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker